Package Details: clion-cmake 1:2017.2.3-1

Git Clone URL: https://aur.archlinux.org/clion.git (read-only)
Package Base: clion
Description: C/C++ IDE. Free 30-day trial.
Upstream URL: http://www.jetbrains.com/clion
Keywords: C C++ IDE JetBrains
Licenses: custom
Submitter: rdoursenaud
Maintainer: Zrax
Last Packager: Zrax
Votes: 129
Popularity: 2.895831
First Submitted: 2015-04-14 21:23
Last Updated: 2017-10-03 15:46

Latest Comments

Zrax commented on 2017-09-29 18:14

The file is included with the PKGBUILD. If you cloned the git repo or downloaded the snapshot tarball (rather than just the PKGBUILD file alone), you should already have the .desktop file as well.

nroth commented on 2017-09-29 18:09

I get:

==> ERROR: jetbrains-clion.desktop was not found in the build directory and is not a URL.


Where am I supposed to find this file?

EDIT: Extracted manually. Still, this is annoying.

Zrax commented on 2017-08-28 15:38

claymore: Please see the pinned comment on https://aur.archlinux.org/packages/ncurses5-compat-libs/ to resolve that.

claymore commented on 2017-08-28 12:11

I'm having this issue

"
AUR Packages (6) clion-1:2017.2.1-2 clion-cmake-1:2017.2.1-2 clion-gdb-1:2017.2.1-2 clion-jre-1:2017.2.1-2 clion-lldb-1:2017.2.1-2 ncurses5-compat-libs-6.0+20170827-1

:: Proceed with installation? [Y/n] Y
:: Retrieving package(s)...
:: clion build files are up-to-date -- skipping
:: ncurses5-compat-libs build files are up-to-date -- skipping
:: Checking ncurses5-compat-libs integrity...
==> Making package: ncurses5-compat-libs 6.0+20170827-1 (seg ago 28 13:09:12 WEST 2017)
==> Retrieving sources...
-> Found ncurses-6.0-20170827.tgz
-> Found ncurses-6.0-20170827.tgz.asc
==> Validating source files with md5sums...
ncurses-6.0-20170827.tgz ... Passed
ncurses-6.0-20170827.tgz.asc ... Skipped
==> Verifying source file signatures with gpg...
ncurses-6.0-20170827.tgz ... FAILED (unknown public key 702353E0F7E48EDB)
==> ERROR: One or more PGP signatures could not be verified!
:: Checking clion,clion-cmake,clion-gdb,clion-jre,clion-lldb integrity...
==> Making package: clion 1:2017.2.1-2 (seg ago 28 13:09:17 WEST 2017)
==> Retrieving sources...
-> Found CLion-2017.2.1.tar.gz
-> Found jetbrains-clion.desktop
==> Validating source files with sha256sums...
CLion-2017.2.1.tar.gz ... Passed
jetbrains-clion.desktop ... Passed
:: failed to verify ncurses5-compat-libs integrity
"

KillWolfVlad commented on 2017-08-25 08:30

If you use Bundled LLDB:

/opt/clion/bin/lldb/LLDBFrontend: error while loading shared libraries: libtinfo.so.5: cannot open shared object file: No such file or directory

Please, add https://aur.archlinux.org/packages/libtinfo5/ as depends to clion-lldb

conrad784 commented on 2017-07-20 10:31

@JohnRobson
Quoting srki_82:
"@postadelmaga
yaourt don't support split packages, try pacaur instead."

JohnRobson commented on 2017-07-20 00:42

Please, fix the installation process, when updating (maybe installing too) Clion RE-Install ALL the packages 5 times!!! After first re-install I stop and re-run yaourt and it don't do the extra 4 reinstallations.

atriix commented on 2017-05-20 19:27

pacaur 4.7.8-1

:: clion package(s) failed to install. Check .SRCINFO for mismatching data with PKGBUILD.

denniseffing commented on 2017-03-24 19:47

The package jetbrains-toolbox has a conflict with the pycharm professional AUR package found here: https://aur.archlinux.org/packages/pycharm-professional/

Is there any fix for that?

srki_82 commented on 2017-02-16 19:49

@postadelmaga
yaourt don't support split packages, try pacaur instead.

All comments